Bug 486030 - [iwl3945] Status LED doesn't light up (Lenovo T61)
[iwl3945] Status LED doesn't light up (Lenovo T61)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: John W. Linville
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-17 17:33 EST by Michael Solberg
Modified: 2009-09-02 04:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Solberg 2009-02-17 17:33:11 EST
Description of problem:
iwl3945 driver works fine, but the LED never lights up

Version-Release number of selected component (if applicable):
kernel-2.6.18-128.1.1.el5

How reproducible:
100%

Steps to Reproduce:
1. modprobe iwl3945
2. ifconfig wlan0 up
3. Look for LED
  
Actual results:
LED doesn't light up

Expected results:
LED should light up and blink when packets go flying around the room.

Additional info:
Works fine in Fedora.
Comment 1 Michael Solberg 2009-02-17 17:38:27 EST
Updating platform
Comment 2 Michael Solberg 2009-02-19 09:08:50 EST
The code is already in the kernel-2.6.18-128 source tree.  If I set CONFIG_IWL3945_LEDS=y and recompile the kernel, the LED lights up when I ifconfig wlan0 up.

The blinking seems a little off, though.  It seems to only have three states, on, off, and blinking.

Michael.
Comment 3 RHEL Product and Program Management 2009-02-26 11:52:35 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-04-06 17:17:54 EDT
in kernel-2.6.18-138.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 9 Michael Solberg 2009-04-06 21:32:52 EDT
Works for me so far.  I'll let you know if any problems show up.
Comment 11 errata-xmlrpc 2009-09-02 04:59:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.